/**
 * Created by abdulazizalonizi on 8/7/17.
 */
import java.util.Scanner ;
public class Task3 {
    public static void main (String[] args)
    {
        Scanner kb = new Scanner (System.in);
        System.out.println("enter Seconds");

        int sec = kb.nextInt();
        convert(sec);






    }
    public static void convert(int sec)
    {
        if (sec <0)
            throw new IllegalArgumentException("Error : wrong input");
    int hours = sec/3600;
    int minutes = (sec%3600)/60 ;
    int seconds = (sec%3600)%60 ;
    System.out.println("Hours : "+hours+"\nMinutes : " + minutes + "\nSeconds : " +seconds);

    }
}









//QWJkdWxheml6IEFsb25pemkgQ3JlYXRlZCB0aGlzIGNvZGUgLCBoZSB3b3JrZWQgdmVyeSBoYXJkIG9uIGl0ICwgRE8gTk9UIFVTRSBJVCBUTyBTVUJNSVQgWU9VUiBBU1NJR05NRU5UIA0K
//UTF_8